Skip to main content
`Ctrl`+`K`

# DMProductGetDM

Get sub-`DM` whose coordinates will be associated with a particular dimension of the `DMPRODUCT`

## Synopsis

    #include "petsc/private/dmproductimpl.h"
    PetscErrorCode DMProductGetDM(DM dm, PetscInt slot, DM *subdm)

Not Collective

## Input Parameters

- dm - the`DMPRODUCT`

- slot - which dimension within `DMPRODUCT` whose coordinates is being provided, in the range 0 to \(dim-1\)

## Output Parameter

- subdm - the sub-`DM`

## Note

You can call `DMProductGetDimensionIndex()` to determine which dimension in `subdm` is to be used to provide the coordinates, see `DMPRODUCT`

## See Also

`DMPRODUCT`, `DMProductSetDM()`, `DMProductGetDimensionIndex()`, `DMProductSetDimensionIndex()`

## Level

advanced

## Location

src/dm/impls/product/productutils.c

Index of all DMPRODUCT routines
Table of Contents for all manual pages
Index of all manual pages